DROP VIEW V_RACUN_PDV;

CREATE VIEW V_RACUN_PDV AS
SELECT ID_RACUN, POREZ_STOPA, SUM(OSNOVICA) AS OSNOVICA, SUM(POREZ_IZNOS) AS POREZ_IZNOS FROM
(
SELECT R.ID_SALDKONT AS ID_RACUN, D.STOPNJA AS POREZ_STOPA, SUM(R.NETO*D.STOPNJA/R.DAV_STOPNJA) AS OSNOVICA, SUM(R.ZN_DAVKA*D.STOPNJA/R.DAV_STOPNJA) AS POREZ_IZNOS 
FROM RACUN_DATA R
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL AND R.DAV_STOPNJA<>0
GROUP BY R.ID_SALDKONT, D.STOPNJA
union
SELECT R.ID_SALDKONT AS ID_RACUN, D.STOPNJA AS POREZ_STOPA, SUM(R.NETO) AS OSNOVICA, SUM(R.ZN_DAVKA) AS POREZ_IZNOS 
FROM RACUN_DATA R
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE  AND D.VRSTA='DDV'
WHERE D.ID_STORITVE IS NOT NULL AND R.DAV_STOPNJA=0
GROUP BY R.ID_SALDKONT, D.STOPNJA
union
SELECT R.ID_SALDKONT AS ID_RACUN, R.DAV_STOPNJA AS POREZ_STOPA, SUM(R.NETO) AS OSNOVICA, SUM(R.ZN_DAVKA) AS POREZ_IZNOS 
FROM RACUN_DATA R
LEFT OUTER JOIN M_STORITVE_DAVEK D ON R.ID_STORITVE=D.ID_STORITVE 
WHERE D.ID_STORITVE IS NULL
GROUP BY R.ID_SALDKONT, R.DAV_STOPNJA
) DDV
GROUP BY ID_RACUN, POREZ_STOPA
;


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (262, SYSDATE, '5.5', 182, 'Blagajna knjienje');